/*
'  DotNetNuke -  http://www.dotnetnuke.com
'  Copyright (c) 2002-2012
'  by DotNetNuke Corporation
' 
'  Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
'  documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
'  the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
'  to permit persons to whom the Software is furnished to do so, subject to the following conditions:
' 
'  The above copyright notice and this permission notice shall be included in all copies or substantial portions 
'  of the Software.
' 
'  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
'  TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
'  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
'  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
'  DEALINGS IN THE SOFTWARE.
*/

namespace DotNetNuke.Modules.Store.Catalog
{
    /// <summary>
    /// Token class info.
    /// </summary>
    public sealed class Token
    {
        #region Private Members

        private readonly string _value;
        private readonly string[] _properties;

        #endregion

        #region Constructor

        public Token(string content)
        {
            char splitter = (char)254;
            string[] tokenParts = content.Replace("::", splitter.ToString()).Split(new char[] { splitter });

            if (tokenParts[0].Length > 0)
            {
                _value = tokenParts[0];
                if (tokenParts.Length > 1)
                {
                    _properties = new string[tokenParts.Length - 1];
                    for (int i = 1; i < tokenParts.Length; i++)
                    {
                        _properties[i - 1] = tokenParts[i];
                    }
                }
            }
        }

        #endregion

        #region Properties

        public string Value
        {
            get { return _value; }
        }

        public string[] Properties
        {
            get { return _properties; }
        }

        #endregion
    }
}
